Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum https://forum.linuxiarze.pl

APTus not able to use proxy?

Started by andymac, April 14, 2017, 12:54:40 PM

Previous topic - Next topic

andymac

I have installed 4.5.2 LXQt in an environment where the network segment is firewalled so that the only connections out are via a HTTP proxy server.

I have added proxy definitions to /etc/apt/apt.conf and /etc/environment (with both upper and lower case environment variable names) which work for Firefox and the apt CLI tools (sudo apt-get update/upgrade works) however the "first run of Sparky" tool and APTus both complain that there is no network connection.

If these tools can use a HTTP proxy as apt can, where and how do I tell them the proxy connection details?

Thanks,
Andy.

pavroo

The First Run uses Sparky APTus Upgrade tool which does not provide any special settings. It uses the default apt configuration.
Anyway, edit two files:
/usr/bin/sparky-aptus-upgrade
/usr/lib/sparky-aptus-upgrade/upgrade-now
and comment out the lines:
# checking connection
PINGTEST=$(ping -c 1 debian.org | grep [0-9])

if [ "$PINGTEST" = "" ]; then
    $DIALOG $TITLE"$TITLETEXT" $MSGBOX $TEXT"$LOCAL3"
    exit 1
fi
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

andymac

Thanks.  I also had to comment the same lines in /usr/bin/sparky-firstrun-exe to get that to work.

View the most recent posts on the forum